# Interface TaskInputPropertyBuilder

All Superinterfaces:
  `CompatibilityAdapterForTaskInputs, TaskInputs, TaskPropertyBuilder`

@Incubating public interface TaskInputPropertyBuilder extends TaskPropertyBuilder, TaskInputs
Describes an input property of a task.

Since:
  4.3

## Method Summary

Modifier and Type
Method
Description
`TaskInputFilePropertyBuilder`
`dir(Object dirPath)`
Deprecated.
Use `TaskInputs.dir(Object)` directly instead.
`TaskInputFilePropertyBuilder`
`file(Object path)`
Deprecated.
Use `TaskInputs.file(Object)` directly instead.
`TaskInputFilePropertyBuilder`
`files(Object... paths)`
Deprecated.
Use `TaskInputs.files(Object...)` directly instead.
`FileCollection`
`getFiles()`
Deprecated.
Use `TaskInputs.getFiles()` directly instead.
`boolean`
`getHasInputs()`
Deprecated.
Use `TaskInputs.getHasInputs()` directly instead.
`boolean`
`getHasSourceFiles()`
Deprecated.
Use `TaskInputs.getHasSourceFiles()` directly instead.
`Map<String,Object>`
`getProperties()`
Deprecated.
Use `TaskInputs.getProperties()` directly instead.
`FileCollection`
`getSourceFiles()`
Deprecated.
Use `TaskInputs.getSourceFiles()` directly instead.
`TaskInputPropertyBuilder`
`optional(boolean optional)`
Sets whether the task property is optional.
`TaskInputs`
`properties(Map<String,?> properties)`
Deprecated.
Use `TaskInputs.properties(Map)` directly instead.
`TaskInputPropertyBuilder`
`property(String name, Object value)`
Deprecated.
Use `TaskInputs.property(String, Object)` directly instead.

## Method Details

### optional

TaskInputPropertyBuilder optional(boolean optional)
Sets whether the task property is optional. If the task property is optional, it means that a value does not have to be specified for the property, but any value specified must meet the validation constraints for the property.

### getHasInputs

@Deprecated boolean getHasInputs()
Deprecated.
Use `TaskInputs.getHasInputs()` directly instead.
Throws `UnsupportedOperationException`.

Specified by:
  `getHasInputs` in interface `TaskInputs`
Returns:
  true if this task has declared any inputs.

### getFiles

@Deprecated FileCollection getFiles()
Deprecated.
Use `TaskInputs.getFiles()` directly instead.
Throws `UnsupportedOperationException`.

Specified by:
  `getFiles` in interface `TaskInputs`
Returns:
  The input files. Returns an empty collection if this task has no input files.

### files

@Deprecated TaskInputFilePropertyBuilder files(Object... paths)
Deprecated.
Use `TaskInputs.files(Object...)` directly instead.
Throws `UnsupportedOperationException`.

Specified by:
  `files` in interface `CompatibilityAdapterForTaskInputs`
Specified by:
  `files` in interface `TaskInputs`
Parameters:
  `paths` - The input files. The given paths are evaluated as per `Project.files(Object...)`.
Returns:
  a property builder to further configure the property.

### file

@Deprecated TaskInputFilePropertyBuilder file(Object path)
Deprecated.
Use `TaskInputs.file(Object)` directly instead.
Throws `UnsupportedOperationException`.

Specified by:
  `file` in interface `CompatibilityAdapterForTaskInputs`
Specified by:
  `file` in interface `TaskInputs`
Parameters:
  `path` - The input file. The given path is evaluated as per `Project.file(Object)`.
Returns:
  a property builder to further configure the property.

### dir

@Deprecated TaskInputFilePropertyBuilder dir(Object dirPath)
Deprecated.
Use `TaskInputs.dir(Object)` directly instead.
Throws `UnsupportedOperationException`.

Specified by:
  `dir` in interface `CompatibilityAdapterForTaskInputs`
Specified by:
  `dir` in interface `TaskInputs`
Parameters:
  `dirPath` - The directory. The path is evaluated as per `Project.file(Object)`.
Returns:
  a property builder to further configure the property.

### getProperties

@Deprecated Map<String,Object> getProperties()
Deprecated.
Use `TaskInputs.getProperties()` directly instead.
Throws `UnsupportedOperationException`.

Specified by:
  `getProperties` in interface `TaskInputs`
Returns:
  The properties.

### property

@Deprecated TaskInputPropertyBuilder property(String name, Object value)
Deprecated.
Use `TaskInputs.property(String, Object)` directly instead.
Throws `UnsupportedOperationException`.

Specified by:
  `property` in interface `CompatibilityAdapterForTaskInputs`
Specified by:
  `property` in interface `TaskInputs`
Parameters:
  `name` - The name of the property. Must not be null.
  `value` - The value for the property. Can be null.

### properties

@Deprecated TaskInputs properties(Map<String,?> properties)
Deprecated.
Use `TaskInputs.properties(Map)` directly instead.
Throws `UnsupportedOperationException`.

Specified by:
  `properties` in interface `TaskInputs`
Parameters:
  `properties` - The properties.

### getHasSourceFiles

@Deprecated boolean getHasSourceFiles()
Deprecated.
Use `TaskInputs.getHasSourceFiles()` directly instead.
Throws `UnsupportedOperationException`.

Specified by:
  `getHasSourceFiles` in interface `TaskInputs`
Returns:
  true if this task has source files, false if not.

### getSourceFiles

@Deprecated FileCollection getSourceFiles()
Deprecated.
Use `TaskInputs.getSourceFiles()` directly instead.
Throws `UnsupportedOperationException`.

Specified by:
  `getSourceFiles` in interface `TaskInputs`
Returns:
  The set of source files for this task.